# Generated by rust2rpm
# Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate quickersort

Name:           rust-%{crate}
Version:        3.0.1
Release:        4%{?dist}
Summary:        Fast sorting compatible with stable Rust

License:        MIT or ASL 2.0
URL:            https://crates.io/crates/quickersort
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(nodrop) >= 0.1.0 with crate(nodrop) < 0.2.0)
BuildRequires:  (crate(unreachable) >= 1.0.0 with crate(unreachable) < 2.0.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(itertools) >= 0.7.0 with crate(itertools) < 0.8.0)
BuildRequires:  (crate(num-traits) >= 0.1.0 with crate(num-traits) < 0.2.0)
BuildRequires:  (crate(rand) >= 0.4.0 with crate(rand) < 0.5.0)
%endif

%description
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
Fast sorting compatible with stable Rust. Also has (optional) support for
efficient and robust sorting of floating point numbers.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
grep -IUlr $'\r' | xargs sed -i 's/\r$//'
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE
%doc CHANGELOG.md perf.txt README.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/bors.toml

%changelog
* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.0.1-4
- Rebuild to trigger tests

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 31 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.0.1-1
- Update to 3.0.1

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.0.0-2
- Rebuild for rust-packaging v5

* Sat Jan 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.0.0-1
- Initial package
